package grada.interfaces;
import grada.event.FunktionsEingabeEvent;
/**
 * Dieses Interface sorgt dafr, dass die Eingabe einer neuen Funktion auch 
 * in der Benutzeroberflche ankommen, und nicht irgendwo in einer tiefen 
 * Struktur stecken bleiben.
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public interface InterfaceFunktionsEingabe {
	/** wird aufgerufen, wenn eine neue Funktion eingegeben wurde und der 
	 * Benutzer auf den Button "funktion zeichnen" oder auf die Enter-Taste 
	 * drckt.
	 * 
	 * @param e	FunktionsEingabeEvent
	 */
	public void funktionsTermIstEingegebenWorden(FunktionsEingabeEvent e); 
}
