package grada.interfaces;
import grada.event.FunktionsParameterEvent;
/**
 * Dieses Interface sorgt dafr, dass eine nderung der Parameter auch in der 
 * Benutzeroberflche ankommen, und nicht irgendwo in einer tiefen Struktur 
 * stecken bleibt.
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public interface InterfaceFunktionsParameterAenderung {
	/** wird aufgerufen, wenn der Wert eines Scrollbalkens, der den Wert einer 
	 * Formvariable einstellt, verndert wird. 
	 * 
	 * @param e	FunktionsParameterEvent
	 */
	public void funktionsParameterWurdenVeraendert(FunktionsParameterEvent e);
}
