package grada.interfaces;

/** Dieses Interface sorgt dafr, dass alle Instanzen, die im Programm als 
 * Registerkarte hinzugefgt werden, auch den Befehl erhalten alles neu
 * zu zeichnen, bzw. wieder alles aufzufrischen, falls das Fenster in 
 * irgendeiner Form verndert wurde.
 * @author Thilo Beckmann
 * @version 04.07.05
 */
public interface InterfaceJFrameAenderung {
	/** Wird aufgerufen, wenn das Fenster verschoben, verkleinert oder 
	 * -grert, mini- oder maximiert wird.
	 * Innerhalb dieser Methode sollte alles aufgerufen werden, was zur 
	 * kompletten Neuzeichnung bentigt wird (insbesondere das Schaubild 
	 * muss erneuert werden).
	 */
	public void aktualisiere();
	
}