package grada.steuereinheit;
import java.io.File;
import java.util.ListResourceBundle;

import javax.swing.filechooser.*;

import sprachen.Sprachen;
/** Diese Klasse ist ntig, damit man einen FileChooser richtig aufrufen
 * kann.
 * @author Thilo Beckmann
 */
public class DateiFilter extends FileFilter {
	private Sprachen	sprachen = Sprachen.holeSprache();
	private ListResourceBundle	sp = sprachen.holeSprachBundle();
	public boolean accept(File datei) {
		if (datei.isDirectory()){
			return true;
		}
		else if(datei.getName().endsWith(sp.getString("DateiFilter_DateiEndung"))){
			return true;
		}
		else return false;
	}
	public String getDescription() {
		return sp.getString("DateiFilter_Dateibeschreibung");
	}
}
