package sprachen;
import java.util.*;
/**
 * Diese Klasse stellt alle Strings, die in irgendeiner Art und Weise im Programm
 * vorkommen, zur Verfgung. Diese Datei bzw. Klasse kann spter kopiert werden
 * und z.B. in sprache_fr oder sprache_eng umbenannt werden, und dieses Programm
 * somit fr weitere Sprachen einfach und unkompliziert zu erweitern.
 * (Stichwort: Sprachsteuerung)
 * @author	Thilo Beckmann
 * @version	04.07.05
 * */
public class Sprache_de extends ListResourceBundle{
	public Object[][] getContents() {
		return contents;
	}
	static final Object[][] contents = {
			{"Ok Knopf",				"Ok"},			// Buttonaufdruck bei Auswahldialogen
			{"Abbrechen Knopf",			"Abbrechen"},	// Buttonaufdruck bei Auswahldialogen
			
			{"FuAnz_Funktionseingabe:",						"Funktionseingabe:"},	//Schrift ber der Eingabe der Terme (FunktionenAnzeigen)
			{"FuAnz_Formvariable-Einstellung",				"Formvariable-Einstellung"},
			{"FuAnz_Zoom:",									"Zoom:"},
			{"FuAnz_F(x) zeichnen",							"F(x) zeichnen"},
			{"FuAnz_Zoom vergrern",						"Zoom vergrern"},
			{"FuAnz_Zoom verkleinern",						"Zoom verkleinern"},
			{"FuAnz_Zoom auf beiden Achsen gleich einstellen","Zoom auf beiden Achsen gleich einstellen"},
			{"FuAnz_X-Achse strecken",						"X-Achse strecken"},
			{"FuAnz_X-Achse stauchen",						"X-Achse stauchen"},
			{"FuAnz_Y-Achse strecken",						"Y-Achse strecken"},
			{"FuAnz_Y-Achse stauchen",						"Y-Achse stauchen"},
			{"FuAnz_->0",									"->0"},
			{"FuAnz_diese FormVariable auf 0 (Null) setzen","diese FormVariable auf 0 (Null) setzen"},
			{"FuAnz_den Wertebereich dieses Scrollbalkens auf dieser Seite verringern",	"den Wertebereich dieses Scrollbalkens auf dieser Seite verringern"},
			{"FuAnz_den Wertebereich dieses Scrollbalkens auf dieser Seite erweitern",	"den Wertebereich dieses Scrollbalkens auf dieser Seite erweitern"},
			
			{"Prog_Datei","Datei"},
			{"Prog_Neu","Neu"},
			{"Prog_Graph","Graph"},
			{"Prog_Poly","Polynom Division"},
			{"Prog_Eigener","Eigener"},
			{"Prog_Polynom","Polynom"},
			{"Prog_Sinus/Cosinus","Sinus/Cosinus"},
			{"Prog_E (Eulerische Zahl)","E (Eulerische Zahl)"},
			{"Prog_Spiel","Spiel"},
			{"Prog_PunkteTreffen","PunkteTreffen"},
			{"Prog_Pkt-Treffen","Pkt-Treffen"},
			{"Prog_GraphenRaten","GraphenRaten"},
			{"Prog_GraphRaten","GraphRaten"},
			{"Prog_Einfach","Einfach"},
			{"Prog_Mittel","Mittel"},
			{"Prog_Schwer","Schwer"},
			{"Prog_Speichern","Speichern"},
			{"Prog_Exportieren","Exportieren"},
			{"Prog_Laden","Laden"},
			{"Prog_Drucken","Drucken"},
			{"Prog_Schlieen","Schlieen"},
			{"Prog_Alle Schlieen","Alle Schlieen"},
			{"Prog_Alle anderen Schlieen","Alle anderen Schlieen"},
			{"Prog_Beenden","Beenden"},
			{"Prog_Optionen","Optionen"},
			{"Prog_Einstellungen","Einstellungen"},
			{"Prog_Ansicht","Ansicht"},
			{"Prog_Hilfe","Hilfe"},
			{"Prog_Benutzer Hilfe","Benutzer Hilfe"},
			{"Prog_ber","ber"},
			{"Prog_ber...","ber..."},
			{"Prog_Soll das Programm wirklich beendet werden?","Soll das Programm wirklich beendet werden?"},
			{"Prog_TTTFunktionen Anzeige","Funktionen Anzeige"},	//ToolTipText
			{"Prog_TTTSpiel: Punkte Treffen","Spiel: Punkte Treffen"},
			{"Prog_TTTSpiel: Graphen Raten","Spiel: Graphen Raten"},
			{"Prog_TTTHilfe","Hilfe"},
			{"Prog_",""},

			{"FuPan_Diese Funktion loeschen","Diese Funktion loeschen"},
			{"FuPan_nderung bernehmen","nderung bernehmen"},
			{"FuPan_Farbe dieser Funktion ndern","Farbe dieser Funktion ndern"},
			{"FuPan_Diese Funktion anzeigen","Diese Funktion anzeigen/ausblenden"},
			{"FuPan_Farbauswahl","Farbauswahl"},
			
			{"StartBildschirm_Bild","grafik/bilder/StartBildschirm.jpg"},
			
			{"InfoberProgramm_Bild","grafik/bilder/InfoUeberProgramm.jpg"},
			
			{"BestList_Die Bestenliste:","Die Bestenliste:"},
			{"BestList_Namen","Namen"},
			{"BestList_Punkte","Punkte"},
			{"BestList_OK","OK"},
			{"BestList_highscorePfad","daten/highscore.dat"},
			
			{"PuTreff_Namen","Namen"},
			{"PuTreff_Punkte","Punkte"},
			{"PuTreff_Verhltnis","Verhltnis"},
			{"PuTreff_Spieler "," Spieler "},
			{"PuTreff_Funktion zeichnen","Funktion zeichnen"},
			{"PuTreff_Neu","Neu"},
			{"PuTreff_Funktionseingabe:","Funktionseingabe:"},
			{"PuTreff_Ergebnisse:","Ergebnisse:"},
			
			{"SpDial_OK","OK"},
			{"SpDial_Abbrechen","Abbrechen"},
			{"SpDial_Spieler ","Spieler "},
			{"SpDial_Anzahl und Namen der Spieler:","Anzahl und Namen der Spieler:"},
			{"SpDial_Anzahl Spieler: (max. 5)","Anzahl Spieler: (max. 5)"},

			{"DateiFilter_Dateibeschreibung","(*.funk)"},
			{"DateiFilter_DateiEndung",".funk"},
			
			{"Parser_Rechenzeichen", "Es stehen zwei Rechenzeichen direkt hintereinander. Bitte Klammern setzen oder Zeichen einfgen!"}, 
            {"Parser_Klammerpos", "Die Position der Klammern stimmt nicht."},            
			{"Parser_Klammerzahl", "Die Zahl der Klammern stimmt nicht."},           
			{"Parser_Op", "Dem Operator \""},            
			{"Parser_Argument", "\" fehlt das Argument."},            
			{"Parser_RechenzeichenKlammer", "Bitte Rechenzeichen nach der Klammer setzen oder so Klammern setzen, dass deutlich wird, welche Operation wann ausgefhrt werden soll!"},           
			{"Parser_Klammer1", "Klammern nur direkt nach \""},          
			{"Parser_Klammer2", "\" oder Rechenzeichen vor die Klammer setzen."},            
			{"Parser_Exponent", "Der Exponent nach ^ fehlt. Bitte Klammern um den Exponenten setzen z.B. (-2x) oder eine Zahl oder Variable einfgen!"},            
			{"Parser_Basis", "Basis nicht erkannt. Bitte Zahl oder Variable einfgen oder Klammern setzen!"},      
			{"Parser_RechNachKlammer", "Bitte Rechenzeichen nach der Klammer setzen! Es ist nicht klar, wo der Exponent endet."},        
			{"Parser_UnzZeichen", "Unzulssiges Zeichen \""},     
			{"Parser_UnzZeichen2", "\". Bitte eine Zahl, pi, e,  (fr einen Winkel im Gradma) oder einen Parameter (in Grobuchstaben) eingeben!\nVielleicht fehlt auch ein Rechenzeichen."}, 
			{"Parser_Der Funktionsterm ist leer!", "Der Funktionsterm ist leer!"},
			 
			{"PolyDiv_beschreibung0","Divisionsoptionen:"},
			{"PolyDiv_ganzausrechnen","Division ganz durchfhren"},
			{"PolyDiv_schrittfuerschritt","Division Schritt fr Schritt"},
			{"PolyDiv_beschreibung1","Generatoroptionen:"},
			{"PolyDiv_gemischt","Aufgaben mit Rest"},
			{"PolyDiv_ohnerest","Aufgaben ohne Rest"},
			{"PolyDiv_beschreibung2","Funktionen anzeigen:"},
			{"PolyDiv_zaehleranzeigen","Zhler anzeigen"},
			{"PolyDiv_nenneranzeigen","Nenner anzeigen"},
			{"PolyDiv_ergebnisanzeigen","Ergebnis anzeigen"},
			{"PolyDiv_zeichnen","Zeichnen"},
			{"PolyDiv_zurueck","Zurck"},
			{"PolyDiv_ausrechnen","Ausrechnen"},
			{"PolyDiv_aufgaben","Eine Aufgabe generieren"},
			{"PolyDiv_dividend","Der Polynom im Zhler ist nicht lesbar."},
			{"PolyDiv_divisor","Der Polynom im Nenner ist nicht lesbar."},
			{"PolyDiv_grad","Der Nennergrad ist grer als der Zhlergrad,\ndeswegen ist eine Polynomdivision nicht mglich."},			
			
			{"",""},
			{"",""},
			{"",""},
			{"",""},
			{"",""},
			{"",""},
			{"",""},
			{"",""},
			
	};
}