package grada.event;

/**
 * Diese Klasse ist fr die Funktions Eingabe zustndig.
 * Dieses Event wird als Parameter bergeben, wenn die Eingabe durch den 
 * Benutzer bernommen werden soll (also Button oder Enter drcken). 
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public class FunktionsEingabeEvent {
	private String fuTerm;
	/** Erstellt eine Instanz eines "FunktionsEingabeEvent".
	 * Als Parameter wird zur Initialisierung der Funktionsterm mitgegeben, 
	 * der in der Eingabe vom Benutzer angegeben wurde.  
	 * 
	 * @param fuTerm	eingegebener Funktionsterm
	 */
	public FunktionsEingabeEvent(String fuTerm){
		this.fuTerm = fuTerm;
	}
	/** gibt den Funktionsterm zurck.
	 * 
	 * @return	eingestellter Funktionsterm
	 */
	public String holeTerm(){
		return fuTerm;
	}
	/** setzt den Funktionsterm.
	 * 
	 * @param fuTerm	neuer Funktionsterm
	 */
	public void setzeTerm(String fuTerm){
		this.fuTerm = fuTerm;
	}
}
