package grada.event;
import java.util.ArrayList;
/**
 * FunktionListenEvent wird als Parameter bergeben, wenn die Liste der 
 * Funktionen in der FunktionenAuswahl verndert wurde.
 * @author Thilo Beckmann
 * @version 07.07.05
 * */
public class FunktionsListenEvent {
	private ArrayList fuListe;
	/** erstellt eine Instanz eines "FunktionsListenEvent". 
	 * Als Parameter wird die genderte FunktionsListe in Form einer 
	 * ArrayList angegeben.
	 * @param fuListe	neue FunktionsListe (ArrayList)
	 */
	public FunktionsListenEvent (ArrayList fuListe){
		this.fuListe = fuListe;
	}
	/** holt die neue FunktionsListe.
	 * @return	neue FunktionsListe
	 */
	public ArrayList holeFunktionsListe(){
		return fuListe;
	}
	/** setzt neue FunktionsListe.
	 * @param fuListe	neue FunktionsListe, die eingestellt werden soll
	 */
	public void setzeFunktionsListe(ArrayList fuListe){
		this.fuListe = fuListe;
	}
}
