package grada.event;
import javax.swing.JScrollBar;
/**
 * FunktionsParameterEvent wird als Parameter bergeben, wenn einer der 
 * Scrollbalken, die zum Einstellen der Formvariablen vorhanden sind, 
 * verndert wird.
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public class FunktionsParameterEvent {
	private JScrollBar scr[];
	private int scrmin[];
	private int scrmax[];
	/** erstellt eine Instanz eines "FunktionsParameterEvent".
	 * Als Parameter werden die Scrollbalken als Array bergeben, damit 
	 * auf diese von der FunktionenAnzeige aus zugegriffen werden kann. 
	 * @param scr	Array der Scrollbalken
	 */
	public FunktionsParameterEvent (JScrollBar scr[]){
		this.scr = scr;
	}
	/** gibt die Scrollbalken zurck.
	 * @return	Scrollbalken
	 */
	public JScrollBar[] holeScrollBalken(){
		return scr;
	}
	/** setzt die Scrollbalken.
	 * @param scr	Scrollbalken
	 */
	public void setzeScrollBalken(JScrollBar[] scr){
		this.scr = scr;
	}
}
