package grada.event;
/**
 * ZoomEvent wird als Parameter bergeben, wenn der Zoom verndert wird.
 * In diesem Event sind der Zoom fr die x- und die y-Achse enthalten.
 * 
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public class ZoomEvent {
	private int xzoom = 0;
	private int yzoom = 0;
	/** Instanz eines "ZoomEvent".
	 * Als Parameter werden die beiden Zoomwerte fr die Achsen angegeben.
	 * 
	 * @param xzoom		Zoom fr die x-Achse (0=default) 
	 * @param yzoom		Zoom fr die Y-Achse (0=default)
	 */
	public ZoomEvent (int xzoom, int yzoom){
		this.xzoom = xzoom;
		this.yzoom = yzoom;
	}
	/**
	 * @return gibt den Zoom fr die x-Achse zurck.
	 */
	public int holeXzoom() {
		return xzoom;
	}
	/**
	 * @param setzt den Zoom fr die x-Achse.
	 */
	public void setzeXzoom(int xzoom) {
		this.xzoom = xzoom;
	}
	/**
	 * @return gibt den Zoom fr die y-Achse zurck.
	 */
	public int holeYzoom() {
		return yzoom;
	}
	/**
	 * @param setzt den Zoom fr die y-Achse.
	 */
	public void setzeYzoom(int yzoom) {
		this.yzoom = yzoom;
	}
}
