package grada.interfaces;

import grada.event.FunktionsListenEvent;

/** Dieses Interface sorgt dafr, dass eine nderung der Funktionsliste auch 
 * in der Benutzeroberflche ankommen, und nicht irgendwo in einer tiefen 
 * Struktur stecken bleiben.
 * @author Thilo Beckmann
 * @version 07.07.05
 */
public interface InterfaceFunktionsListenAenderung {
    /** wird aufgerufen, wenn die Liste der Funktionen verndert wurde,
     * entweder weil eine Funktion gelscht oder gendert wurde.
     * 
     * @param e FunktionsListenEvent
     */
	public void funktionsListeWurdeVeraendert(FunktionsListenEvent e);
}
